# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_CompiledMethod Class Reference

A Dynamic_CompiledMethod adds to the definition of the
Dynamic_Method the C++ mangled name of the function to
be run. An application using instances of this class
must bind the C++ name of the method with the true
address in the executable.
.

`#include <Dynamic_CompiledMethod.hxx>`

Inheritance diagram for Dynamic_CompiledMethod:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_CompiledMethod (const Standard_CString aname, const Standard_CString afunction)
| Creates a compiled method with <aname> as user name and <afunction> as C++ mangled name. .
Standard_EXPORT void | Function (const Standard_CString afunction)
| Sets the C++ mangled name of the method to the field <thefunction>. .
Standard_EXPORT TCollection_AsciiString | Function () const
| Returns the C++ mangled name of the function. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thefunction

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_CompiledMethod::Dynamic_CompiledMethod | ( | const Standard_CString | aname,
|  | const Standard_CString | afunction
| ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString Dynamic_CompiledMethod::Function | ( |  | ) | const

Standard_EXPORT void Dynamic_CompiledMethod::Function | ( | const Standard_CString | afunction | ) |

Standard_EXPORT const Dynamic_CompiledMethod::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_MethodDefinition.

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_CompiledMethod::thefunction `[private]`

The documentation for this class was generated from the following file:

- Dynamic_CompiledMethod.hxx